Subject: bug#39067: shell-command-dont-erase-buffer strange behaviour

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Jan 2020 05:25:01 +0200

> From: Tino Calancha <[email-masked]>
> Date: Sun, 19 Jan 2020 21:55:35 +0100 (CET)
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > Loading /usr/share/emacs/site-lisp/site-start.d/systemtap-init.el (source)...
> > ../../../../../../usr/share/emacs/site-lisp/site-start.el: (lambda (dir) ...) quoted with ' rather than with #'
> > foo
> > ")
> It's loading site-lisp stuff; I guess if I pass flag -Q
> (as in test simple-tests-async-shell-command-30280) then those elips files
> won't be loaded.
> I will push that tweak.

Aren't tests run with -batch?  That implies -Q as well, so I'm not
sure I even understand why those files are loaded.